---
import Education from '../components/Education.astro';
import Projects from '../components/Projects.astro';
import Skills from '../components/Skills.astro';
import Work from '../components/Work.astro';
import Layout from '../layouts/BaseLayout.astro';
import Nameplate from '../components/Nameplate.astro';
import Interests from '../components/Interests.astro';

const resumeUrl = 'https://gitlab.com/alexcochran/resume/-/raw/main/resume.json?ref_type=heads';
const response = await fetch(resumeUrl);
const data = await response.json();
---

<Layout resume={data}>
  <main id="resume-content">
    <!-- Name, contact info, summary, location, etc. -->
    <!-- Data consumed from resume.basics -->
    <Nameplate basics={data.basics} />

    <!-- Skills -->
    <Skills />

    <!-- Experience -->
    <Work />

    <!-- Projects -->
    <Projects />

    <!-- Education -->
    <Education />

    <!-- Interests -->
    <Interests />
  </main>
</Layout>
